update killed my sound AGAIN!!!

John Rose john.aaron.rose at gmail.com
Tue Apr 3 05:15:15 UTC 2012


Re 'Package linux-alsa-driver-modules-2.6.32-40-generic not available', I have
been informed that this package is no longer required or provided: the informer
has updated the Ubuntu Sound Troubleshooting webpage:
https://help.ubuntu.com/community/SoundTroubleshootingProcedure

However, alsamixer (as instructed to use on this webpage) does not work
john at JohnDesktop:~$ alsamixer
cannot load mixer controls: Invalid argument

I have also tried Gnome alsamixer & AlsaMixerGUI with the following results:

Gnome Alsamixer gave:
john at JohnDesktop:~$ gnome-alsamixer

(gnome-alsamixer:4407): GLib-GObject-CRITICAL **: g_type_instance_get_private:
assertion `instance != NULL && instance->g_class != NULL' failed

(gnome-alsamixer:4407): GLib-GObject-CRITICAL **: g_type_instance_get_private:
assertion `instance != NULL && instance->g_class != NULL' failed
Segmentation fault

AlsaMixerGUI gave a popup displaying:"Function snd_mixer_load filed: invalid
argument".

PS this is documented in Launchpad Ubuntu bug 971014 & question 192344.









More information about the ubuntu-users mailing list